
$fn=72;

nw=120;
nl=180;
nr=10;
nh=12;
nb=2;
nhh=8;

module vrchnak()
{
    difference() {
        minkowski() {
            cube([nw+10-2*(nr+4),nl+10-2*(nr+4),nh-1], true);
            cylinder(r=nr+4,h=1,center=true);
        }
        union() {
            translate([0,0,nb]) minkowski() {
                cube([nw+1-2*nr,nl+0-2*nr,nh-1], true);
                cylinder(r=nr,h=1,center=true);
            }
            translate([0,0,2.51]) minkowski() {
                cube([nw+8-2-2*(nr+2),nl+7-2*(nr+2),6], true);
                cylinder(r=nr+2,h=1,center=true);
            }
        }
    }
}

module spodok()
{
    difference() {
        cube([nw+10,nl+10,nhh-1], true);
        union() {
            translate([0,0,nb]) minkowski() {
                cube([nw+1-2*nr,nl+0-2*nr,nhh-1], true);
                cylinder(r=nr,h=1,center=true);
            }
            for (x=[-1,1]) for (y=[-1,1])
            translate([x*(nw/2),y*nl/2,0]) union() {
                cylinder(d=2.5, h=nhh+1, center=true);
                translate([0,0,-4]) cylinder(d=5, h=nhh, center=true);
            }
            
        }
    }
}

//vrchnak();
//spodok();